Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.model.util
Class ModulePackager

    java.lang.Object
      biouml.model.util.ModulePackager

public class ModulePackager
extends java.lang.Object

To do:
  comments

Field Summary
`static java.lang.String` | `BMD_FILE_EXTENTION`
`static java.lang.String` | `INFO_FILENAME`
`static java.lang.String` | `LICENSE_FILENAME`
`protected static org.apache.log4j.Category` | `log`
`protected static MessageBundle` | `messageBundle`
`static java.lang.String` | `MF_MODULE_ACTIVATOR_CLASS`
`static java.lang.String` | `MF_MODULE_DESCRIPTION`
`static java.lang.String` | `MF_MODULE_NAME`
`static java.lang.String` | `MF_MODULE_TYPE_CLASS`
`static java.lang.String` | `MF_MODULE_VERSION`

Constructor Summary
`ModulePackager()`

Method Summary
`static void` | `addToJar(java.util.jar.JarOutputStream jarOutputStream, int excludedPrefixPathSize, java.io.File file)`
`static void` | `exportModule(Module module, java.lang.String moduleName, java.lang.String moduleVersion, java.lang.String moduleDescription, java.lang.String filename, FunctionJobControl jobControl, java.util.Set excludedNames)` Export the specified module into distributive file.
`static java.io.File` | `extractFile(java.io.File dstDir, java.lang.String fileName, java.util.jar.JarFile moduleFile, java.util.jar.JarEntry jarEntry)`
`static java.util.ArrayList` | `getFiles(java.io.File dir, java.util.Set excludedNames)`
`static java.lang.String` | `getModuleAttribute(java.util.jar.JarFile jarFile, java.lang.String attribute)`
`static java.io.File` | `getModuleDir(java.lang.String moduleName)`
`static java.util.jar.Manifest` | `getModuleManifest(java.lang.String moduleName)`
`static void` | `importModule(javax.swing.JDialog parentWindow, java.util.jar.JarFile moduleFile, CreateDataCollectionController controller)` Imports BioUML module from module distributive.
`static void` | `setProperty(java.io.File moduleDir, java.lang.String filename, java.lang.String key, java.lang.String value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MF_MODULE_NAME

    public static final java.lang.String MF_MODULE_NAME

See Also:
  Constant Field Values

### MF_MODULE_VERSION

    public static final java.lang.String MF_MODULE_VERSION

See Also:
  Constant Field Values

### MF_MODULE_DESCRIPTION

    public static final java.lang.String MF_MODULE_DESCRIPTION

See Also:
  Constant Field Values

### MF_MODULE_ACTIVATOR_CLASS

    public static final java.lang.String MF_MODULE_ACTIVATOR_CLASS

See Also:
  Constant Field Values

### MF_MODULE_TYPE_CLASS

    public static final java.lang.String MF_MODULE_TYPE_CLASS

See Also:
  Constant Field Values

### BMD_FILE_EXTENTION

    public static final java.lang.String BMD_FILE_EXTENTION

See Also:
  Constant Field Values

### INFO_FILENAME

    public static final java.lang.String INFO_FILENAME

See Also:
  Constant Field Values

### LICENSE_FILENAME

    public static final java.lang.String LICENSE_FILENAME

See Also:
  Constant Field Values

### log

    protected static org.apache.log4j.Category log

### messageBundle

    protected static MessageBundle messageBundle

Constructor Detail

### ModulePackager

    public ModulePackager()

Method Detail

### exportModule

    public static void exportModule(Module module,
                                    java.lang.String moduleName,
                                    java.lang.String moduleVersion,
                                    java.lang.String moduleDescription,
                                    java.lang.String filename,
                                    FunctionJobControl jobControl,
                                    java.util.Set excludedNames)

  Export the specified module into distributive file.

  To do:
    comments
  Pendung:
    it is suggested that moduleName, moduleVersion, moduleDescriptor and fileName are not nulls.

### setProperty

    public static void setProperty(java.io.File moduleDir,
                                   java.lang.String filename,
                                   java.lang.String key,
                                   java.lang.String value)
                            throws java.io.IOException

  Throws:
    `java.io.IOException`

### importModule

    public static void importModule(javax.swing.JDialog parentWindow,
                                    java.util.jar.JarFile moduleFile,
                                    CreateDataCollectionController controller)
                             throws java.lang.Exception

  Imports BioUML module from module distributive.

  Throws:
    `java.lang.Exception`

### getModuleDir

    public static java.io.File getModuleDir(java.lang.String moduleName)

  Pendung:
    hack version.

### getModuleManifest

    public static java.util.jar.Manifest getModuleManifest(java.lang.String moduleName)

### getFiles

    public static java.util.ArrayList getFiles(java.io.File dir,
                                               java.util.Set excludedNames)

### addToJar

    public static void addToJar(java.util.jar.JarOutputStream jarOutputStream,
                                int excludedPrefixPathSize,
                                java.io.File file)
                         throws java.io.IOException

  Throws:
    `java.io.IOException`

### extractFile

    public static java.io.File extractFile(java.io.File dstDir,
                                           java.lang.String fileName,
                                           java.util.jar.JarFile moduleFile,
                                           java.util.jar.JarEntry jarEntry)
                                    throws java.io.IOException

  Throws:
    `java.io.IOException`

### getModuleAttribute

    public static java.lang.String getModuleAttribute(java.util.jar.JarFile jarFile,
                                                      java.lang.String attribute)

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.